type: prog

niveau: défi

titre: Parc voitures -1-

objectif: Déterminer le nombre de voitures d'une marque spécifique et plus dans une boucle d'entrées

énoncé: |
 Un concessionnaire automobile souhaite obtenir des informations cruciales sur son parc de voitures, pour sa campagne publicitaire.
 Ces informations sont le __prix moyen__ des voitures disponibles dans son parc, le __prix de la voiture la moins chère__ avec __sa marque (en majuscules)__, ainsi que le __nombre de voitures d'une marque spécifique__.
 Pour commencer, les informations reçues en entrée sont la __marque spécifique recherchée__ suivie d'une ligne vide puis la `marque` et le
 `prix` de __5__ voitures disponibles dans son parc.
 À noter que si plusieurs voitures ont le **même prix** le moins cher, produire la **marque reçue en premier**.

  ### Entrées

  - marque recherchée : la marque spécifique de voiture dont on veut le comptage (chaine de caractères)
  - `marque` : la marque de voiture disponible dans le parc du concessionnaire (chaine de caractères)
  - `prix`: le prix de la voiture disponible dans le parc du concessionnaire (nombre réel)

  ### Sortie attendue

  - Le prix moyen des voitures disponibles (nombre réel)
  - le prix (nombre réel) avec la marque (chaines de caractères) de la voiture la moins chère
  - le nombre de voitures de la marque recherchée (nombre entier).

  ### À faire

  Compléter le code pour produire en sortie le **prix moyen des voitures**, **le prix avec la marque en majuscules de la voiture la moins chère** et le **nombre de voitures de la marque recherchée**, chacun sur une ligne, accompagnés de message explicite selon les modèles en exemple ci-dessous (faire attention aux espaces).

  ### Exemples

  1. Un premier exemple

   - Entrées :
  ```
      HONDA

      Honda
      25000
      Mazda
      22000
      honda
      23000
      Ford
      30000
      Audi
      40000

  ```

   - Sortie attendue :

  ```
      Prix moyen : 28000
      Prix moins cher : 22000
      Marque moins chère : MAZDA
      Nombre voitures HONDA : 2

  ```

  2. Un autre exemple

   - Entrées :
  ```
      Mazda

      Jaguar
      50000
      Tesla
      42000
      hyundai
      20000
      MAZDA
      20000
      Audi
      60000

  ```

   - Sortie attendue :

  ```
      Prix moyen : 38400
      Prix moins cher : 20000
      Marque moins chère : HYUNDAI MAZDA
      Nombre voitures MAZDA : 1

  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Pour la moyenne, déterminer le total des prix dans la boucle en les accumulant dans une variable. Pour le prix le moins cher, appliquer un algorithme adéquat et pour les chaines, faire attention aux majuscules…

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

uuid: 5e785754-85bd-4da2-81a7-016edfe9ecfd
